Bug 187487 - Update math/coinmp to version 1.7.6
Summary: Update math/coinmp to version 1.7.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlos J Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-12 15:50 UTC by Pedro F. Giffuni
Modified: 2014-07-17 19:56 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (2.01 KB, patch)
2014-03-12 15:50 UTC, Pedro F. Giffuni
no flags Details | Diff
coinmp-1.7.6.diff (12.46 KB, patch)
2014-06-20 02:00 UTC, Carlos J Puga Medina
no flags Details | Diff
coinmp-1.7.6.diff (12.44 KB, patch)
2014-07-09 21:36 UTC, Carlos J Puga Medina
no flags Details | Diff
patch.diff (1.51 KB, patch)
2014-07-17 19:29 UTC, Carlos J Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2014-03-12 15:50:01 UTC
Update to latest version - no significant changes.

While here, drop the requirement to use gcc: While configure tries to detect fortran we don't use it at all and this package builds fince with clang.

Fix: Patch attached with submission follows:
Comment 1 Carlos J Puga Medina 2014-06-20 02:00:11 UTC
Created attachment 143946 [details]
coinmp-1.7.6.diff
Comment 2 Carlos J Puga Medina 2014-06-20 02:00:57 UTC
pfg@ filed this PR some months ago. 

Added a new patch:

- Update to 1.7.6
- Convert to USES=libtool and remove USE_AUTOTOOLS=libtool
- Use clang instead of gcc
- Fix pkg-plist
- Take maintainership
Comment 3 Carlos J Puga Medina 2014-07-09 21:36:17 UTC
Created attachment 144545 [details]
coinmp-1.7.6.diff
Comment 4 Kurt Jaeger freebsd_committer 2014-07-10 04:38:05 UTC
I'll take it.
Comment 5 Kurt Jaeger freebsd_committer 2014-07-10 05:17:43 UTC
====> Running Q/A tests (stage-qa)
Error: 'share/doc/CoinMP/CoinMP/Makefile' is referring to /usr/local/home/pi/myp/math/coinmp/work/stage
*** Error code 1

Stop.
make[1]: stopped in /usr/local/home/pi/myp/math/coinmp
*** Error code 1

Any ideas ? I'll get back to it on saturday.
Comment 6 Carlos J Puga Medina 2014-07-10 06:55:29 UTC
I saw this problem before [1], this error is showing only if you pass DEVELOPER=yes variable. 

[1] http://lists.freebsd.org/pipermail/freebsd-ports/2014-April/091643.html
Comment 7 Carlos J Puga Medina 2014-07-11 14:49:17 UTC
Port build successfully. Already tested in redports:

https://redports.org/buildarchive/20140711143801-41217/
Comment 8 commit-hook freebsd_committer 2014-07-11 15:06:03 UTC
A commit references this bug:

Author: pi
Date: Fri Jul 11 15:05:40 UTC 2014
New revision: 361545
URL: http://svnweb.freebsd.org/changeset/ports/361545

Log:
  math/coinmp: 1.7.2 -> 1.7.6

  - Update to 1.7.6
  - Convert to USES=libtool and remove USE_AUTOTOOLS=libtool
  - Use clang instead of gcc
  - Fix pkg-plist
  - Take maintainership

  PR:		187487
  Submitted by:	Carlos Jacobo Puga Medina (cpm@fbsd.es)

Changes:
  head/math/coinmp/Makefile
  head/math/coinmp/distinfo
  head/math/coinmp/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2014-07-11 15:07:23 UTC
Thanks, committed. Can you try to find a way to fix the breakage
if DEVELOPER=yes ?
Comment 10 Carlos J Puga Medina 2014-07-13 14:04:11 UTC
(In reply to Kurt Jaeger from comment #9)
> Thanks, committed. Can you try to find a way to fix the breakage
> if DEVELOPER=yes ?

This change fix the problem: 

--- qa.sh.orig	2014-07-13 15:16:16.000000000 +0200
+++ qa.sh	2014-07-13 15:17:02.000000000 +0200
@@ -121,6 +121,7 @@
 			*/lib/ruby/gems/*/Makefile) continue ;;
 			*/lib/ruby/gems/*/Makefile.html) continue ;;
 			*/lib/ruby/gems/*/mkmf.log) continue ;;
+			*/share/doc/*/*/Makefile) continue ;;
 		esac
 		err "'${f#${STAGEDIR}${PREFIX}/}' is referring to ${STAGEDIR}"
 		rc=1

Also I wrote to rene@ to consult this change and wait some feedback.
Comment 11 Carlos J Puga Medina 2014-07-17 19:29:34 UTC
Created attachment 144758 [details]
patch.diff

The attached patch includes the following changes:

- Clean-up Makefile
- Fix stage-qa error
- Unbreak GLPK option
Comment 12 Kurt Jaeger freebsd_committer 2014-07-17 19:50:04 UTC
Testing@work.
Comment 13 commit-hook freebsd_committer 2014-07-17 19:55:43 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 17 19:55:38 UTC 2014
New revision: 362163
URL: http://svnweb.freebsd.org/changeset/ports/362163

Log:
  math/coinmp: some fixes

  - Clean-up Makefile
  - Fix stage-qa error
  - Unbreak GLPK option

  PR:		187487
  Submitted by:	cjpugmed@gmail.com (maintainer)

Changes:
  head/math/coinmp/Makefile
Comment 14 Kurt Jaeger freebsd_committer 2014-07-17 19:56:40 UTC
Tested with and without GLPK option, builds fine.

Committed, thanks very much!